bgav_edl_segment_t Struct Reference
Decoding of multimedia streams » EDL support

One segment of a physical stream to appear in a logical stream. More...

`#include <avdec.h>`

## Data Fields

char * | url
| Location of that segment. If NULL, the "master url" in bgav_edl_t is valid. More...
int | track
| Track index for multitrack inputs. More...
int | stream
| Index of the A/V stream. More...
int | timescale
| Source timescale. More...
int64_t | src_time
| Time within the source in source timescale. More...
int64_t | dst_time
| Time within the destination in destination timescale. More...
int64_t | dst_duration
| Duration within the destination in destination timescale. More...
int32_t | speed_num
| Playback speed numerator. More...
int32_t | speed_den
| Playback speed demoninator. More...

## Detailed Description

One segment of a physical stream to appear in a logical stream.

## Field Documentation

## url

char* bgav_edl_segment_t::url

Location of that segment. If NULL, the "master url" in bgav_edl_t is valid.

## track

int bgav_edl_segment_t::track

Track index for multitrack inputs.

## stream

int bgav_edl_segment_t::stream

Index of the A/V stream.

## timescale

int bgav_edl_segment_t::timescale

Source timescale.

## src_time

int64_t bgav_edl_segment_t::src_time

Time within the source in source timescale.

## dst_time

int64_t bgav_edl_segment_t::dst_time

Time within the destination in destination timescale.

## dst_duration

int64_t bgav_edl_segment_t::dst_duration

Duration within the destination in destination timescale.

## speed_num

int32_t bgav_edl_segment_t::speed_num

Playback speed numerator.

## speed_den

int32_t bgav_edl_segment_t::speed_den

Playback speed demoninator.

The documentation for this struct was generated from the following file:

- /build/gmerlin-avdecoder-dFcMyB/gmerlin-avdecoder-1.2.0~dfsg/include/avdec.h